<div class="container-fluid">
	<!-- <div class="page-header">
		<ol class="breadcrumb">
			<li class="breadcrumb-item"><a href="<%=origami_root_path %>"><%= t :home %></a></li>
			<li class="breadcrumb-item"><a href="/origami/sale/<%=@sale_id %>/payment"><%= t("views.btn.payment") %></a></li>
			<li class="breadcrumb-item active"><%= t("views.right_panel.details.redeem") %></li>
			<span class="float-right">
				<%= link_to t('.back',:default => t("views.btn.back")),'/origami/sale/'+@sale_id+'/payment/others_payment'%>
			</span>
		</ol>
	</div> -->
	<div class="row">
		<div class="col-lg-5 col-md-5 col-sm-5">
			<div class="card  m-l-10 m-t-10" style="padding:0px 20px;">
				<div class="rebate-form">
					<div class="row">
						<div class="form-group col-lg-12 col-md-12 col-sm-12">
							<label class="">You can redeem up to </label>
							<%@redeem_prices = @redeem_prices +@rounding_adj%>
							<input type="text" name="" id="redeemamt" class="form-control col-lg-7 col-md-7 col-sm-7" readonly="" value="<%= @redeem_prices %>" data-value="<%=@sale_id %>" data-member-value="<%= @membership_id %>">
						</div>
						<hr>
					</div>
					<% if @payparcount > 0 %>
					<div class="row">
						<div class="form-group col-lg-12 col-md-12 col-sm-12">
							<label class="">Recent Redeem Amount </label>
							<input type="text" name="" id="" class="form-control col-lg-7 col-md-7 col-sm-7" readonly="" value="<%= @payparcount %>" data-value="<%=@sale_id %>" data-member-value="<%= @membership_id %>">
						</div>
						<hr>
					</div>
					<% end %>
					<div class="row">
						<div class="form-group col-lg-12 col-md-12 col-sm-12">
							<label class=""> Rebate Balance </label>
							<input type="text" name="valid_amount" id="valid_amount" class="form-control col-lg-7 col-md-7 col-sm-7" readonly="" value="<%=@membership_rebate_balance%>" data-value="<%=@sale_id %>" data-member-value="<%= @membership_id %>">
						</div>
						<hr>
					</div>
					<div class="row">
						<div class="form-group col-lg-12 col-md-12 col-sm-12">
							<label class="">Redeem Amount</label>
							<div id="used_amount" class="form-control col-lg-7 col-md-7 col-sm-7">0.0</div>
						</div>
						<hr>
					</div>
				</div>
			</div>
			<!-- <% if @payparcount > 0 %>
				<p class="">Last time rebate amount is <%= @payparcount %></p>
			<% end %>
			<p class="">You can rebate upto <span style="color:red;" id="food_prices"><%= @redeem_prices %></span></p> -->
		</div>

		<div class="col-lg-6 col-md-6 col-sm-6">
			<div class="m-t-10 p-l-20">
				<div class="row">
					<div class="col-lg-6 col-md-1 col-sm-1">
						<div class="row bottom">
							<div class="col-md-4 cashier_number border-left" data-value="1" data-type="num">1</div>
							<div class="col-md-4 cashier_number border-left" data-value="2" data-type="num">2</div>
							<div class="col-md-4 cashier_number border-left" data-value="3" data-type="num">3</div>
						</div>
						<div class="row bottom">
							<div class="col-md-4 cashier_number border-left" data-value="4" data-type="num">4</div>
							<div class="col-md-4 cashier_number border-left" data-value="5" data-type="num">5</div>
							<div class="col-md-4 cashier_number border-left" data-value="6" data-type="num">6</div>
						</div>
						<div class="row bottom">
							<div class="col-md-4 cashier_number border-left" data-value="7" data-type="num">7</div>
							<div class="col-md-4 cashier_number border-left" data-value="8" data-type="num">8</div>
							<div class="col-md-4 cashier_number border-left" data-value="9" data-type="num">9</div>
						</div>
						<div class="row bottom">
							<div class="col-md-4 cashier_number border-left" data-value="0" data-type="num">0</div>
							<div class="col-md-4 cashier_number border-left" data-value="." data-type="num">.</div>
							<div class="col-md-4 cashier_number border-left" data-value="00" data-type="num">00</div>
						</div>
						<div class="row bottom">
							<div class="col-md-4 cashier_number green border-left" data-type="nett">Nett</div>
							<div class="col-md-4 cashier_number red border-left" data-type="del">Del</div>
							<div class="col-md-4 cashier_number orange border-left" data-type="clr">Clr</div>
						</div>
					</div>
					<div class="col-lg-6 col-md-6 col-sm-6">
						<div class="row bottom m-l-5">
							<div class="cashier_number long border-left" data-value="1000" data-type="add">1000</div>
							<div class="cashier_number long left" data-value="3000" data-type="add">3000</div>
						</div>
						<div class="row bottom m-l-5">
							<div class="cashier_number long border-left" data-value="5000" data-type="add">5000</div>
							<div class="cashier_number long left" data-value="10000" data-type="add">10000</div>
						</div>
						<div class="row bottom m-l-5">
							<div class="pay purple left" id="redeem">Pay</div>
						</div>
					</div>

				</div>
			</div>


		</div>
		<div class="col-lg-1 col-md-1 col-sm-1">
		 <button type="button" class="btn bg-default m-t-10 btn-lg btn-block" onclick="window.location.href = '/origami/sale/<%= @sale_id %>/<%= @cashier_type %>/payment/others_payment';"> <i class="material-icons m-t--5">reply</i>Back </button>
		</div>
	</div>
</div>
<script type="text/javascript">
    var cashier_type = "<%= @cashier_type %>"; 
	$(document).ready(function() {
	  setHeaderBreadCrumb(_REDEEM_PAYMENT_);
		if(localStorage.getItem("cash") == null || localStorage.getItem("cash") == 'null'){}
			else {
				$('#redeemamt').attr("value",parseFloat("<%= @redeem_prices %>") - parseFloat(localStorage.getItem("cash")));
			}
		});
	$(document).on('click', '.cashier_number', function(event){
		event.stopPropagation();
		event.preventDefault();
		if(event.handled !== true) {
			var original_value;
			original_value = $('#used_amount').text();

			var input_value = $(this).attr("data-value");

			var input_type = $(this).attr("data-type");
			switch (input_type) {
				case 'num':
				if (original_value == "0.0"){
					$('#used_amount').text(input_value);
				}else{
					$('#used_amount').append(input_value);
				}
				break;

				case 'add':
				var input_value = $(this).attr("data-value");
				amount = parseInt(input_value) + parseInt(original_value);
				$('#used_amount').html(amount);

				break;
				case 'clr':
				$('#used_amount').html("0.0");
				break;
				case 'del' :
				var cash=$('#used_amount').text();
				$('#used_amount').text(cash.substr(0,cash.length-1));
				break;
				case 'nett':
				var remain_amount = $('#redeemamt').val();
				$('#used_amount').text(remain_amount);
				break;

			}
			event.handled = true;
		} else {
			return false;
		}
	});

	$("#redeem").click(function(){
		valid_amount = $("#valid_amount").val();
		sale_id = $("#valid_amount").attr('data-value');
		membership_id = $("#valid_amount").attr('data-member-value');
		redeem_amount = parseFloat($("#used_amount").text());
		if(redeem_amount<=0 ){
			swal ( "Oops" ,  "Please type valid amount!" ,  "warning" );
		}else if(valid_amount< redeem_amount){
			swal ( "Oops" ,  "Insufficient Amount!" ,  "warning" );
		}else{
			if(redeem_amount <= "<%= @redeem_prices %>"){
				$(this).off("click");
				$.ajax({
					type: "POST",
					url:  "<%=origami_payment_paypar_path%>",
					data: {redeem_amount:redeem_amount,membership_id:membership_id,sale_id:sale_id},
					success: function(result){
						if(result.status == true){
							swal({
								title: "Information!",
								text: result.message,
								html: true,
								closeOnConfirm: false,
								closeOnCancel: false,
								allowOutsideClick: false
							}, function () {
								window.location.href = '/origami/sale/'+ sale_id  + "/"+cashier_type+"/payment"
							});

						}else{
							swal({
								  title: 'Oops',
								  text: result.message.toString(),
								  type: 'error',
								  html: true,
								  closeOnConfirm: false,
								  closeOnCancel: false,
								  allowOutsideClick: false
								}, function () {
								window.location.href = '/origami/sale/'+ sale_id +"/"+cashier_type + "/payment/others_payment/Redeem";
							});
						}
					}
				})
			}else {
				swal ( "Oops" ,  "Redeem Amount is over!" ,  "warning" );
			}
		}
	});
</script>
